-- Options.lua

local L = LibStub("AceLocale-3.0"):GetLocale("AshranBuddy")

local AshranBuddy = _G.AshranBuddy
if (not AshranBuddy) then
	DEFAULT_CHAT_FRAME:AddMessage(format(L["Module '%s' requires AshranBuddy"], L["Options"]))
end

AshranBuddy.defaults = {
	global = {
		version = 0
	},
	profile = {
		firstRun = true,
		General = {
			enabled = true,
		},
		BattleFlow = {
			enabled = true,
			locked = true,
			point = "TOP",
			relativePoint = "TOP",
			x = 0,
			y = -10
		},
		EventTimer = {
			enabled = true,
			locked = false,
			showTimer = true,
			stacked = true,
			growUp = false,
			point = "CENTER",
			relativePoint = "CENTER",
			x = 0,
			y = 0
		},
		NemesisFinder = {
			enabled = true,
			marking = true,
		},
	},
}

function AshranBuddy:CreateOptions()
	self.options = {
		name = L["AshranBuddy"],
		type = "group",
		args = { }
	}

	-- Pass option creation to active modules
	for key, module in pairs(self.modules) do
		if (type(module.OnCreateOptions) == "function") then
			module:OnCreateOptions(self.options.args)
		end
	end

	LibStub("AceConfig-3.0"):RegisterOptionsTable("AshranBuddy", self.options)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("AshranBuddy", "AshranBuddy")
end